Subject: bug#53627: closed (Re: bug#53627: 29.0.50; Incorrect installation instructions)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 30 Jan 2022 06:29:02 +0000

Your bug report

#53627: 29.0.50; Incorrect installation instructions

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53627: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53627
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53627: 29.0.50; Incorrect installation instructions
From: Eli Zaretskii <[email-masked]>
To: "H. Dieter Wilhelm" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 30 Jan 2022 08:27:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: "H. Dieter Wilhelm" <[email-masked]>
> Date: Sat, 29 Jan 2022 23:05:38 +0100
> Cc: [email-masked]
> 
> >> Please read INSTALL.REPO in the same directory, it says
> >
> > I can cope.  I did not need that file.   I was not asking for help.  I
> > was reporting a bug.
> 
> I'm not sure that this is a bug because in INSTALL it says:
> 
>   This file contains general information on building GNU Emacs.
>   For more information specific to the MS-Windows, GNUstep/macOS, and
>   MS-DOS ports, also read the files nt/INSTALL, nextstep/INSTALL, and
>   msdos/INSTALL.  For information about building from a repository checkout
>   (rather than a release), also read the file INSTALL.REPO.
> 
> 
> Thus INSTALL is for installing from a release source archive and
> INSTALL.REPO is for installing Emacs from a source repository.

Indeed, and so I don't think there's a bug here, and I'm closing this
bug report.

Subject: 29.0.50; Incorrect installation instructions
From: worik <[email-masked]>
To: [email-masked]
Date: Sun, 30 Jan 2022 10:39:03 +1300
List-Id: <debbugs-submit.debbugs.gnu.org>

* Downloaded: git clone https://github.com/Stazed/rakarrack-plus.git

* Read INSTALL

* Tells me to run `./configure`

* That does not exist. README references it too

* Must run `./autogen.sh` first

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 
3.24.20, cairo version 1.16.0)
of 2022-01-30 built on munroe
Repository revision: 96533c18b7f9d75dce9e6bb534a16ed4ccf44ad1
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12013000
System Description: Linux Mint 20.3

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG
LIBSELINUX MODULES NOTIFY INOTIFY PDUMPER PNG SECCOMP SOUND SQLITE3
THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM GTK3 ZLIB

Important settings:
value of $LC_MONETARY: en_NZ.UTF-8
value of $LC_NUMERIC: en_NZ.UTF-8
value of $LC_TIME: en_NZ.UTF-8
value of $LANG: en_NZ.UTF-8
locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
tooltip-mode: t
global-eldoc-mode: t
show-paren-mode: t
electric-indent-mode: t
mouse-wheel-mode: t
tool-bar-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
blink-cursor-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
buffer-read-only: t
line-number-mode: t
indent-tabs-mode: t
transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message yank-media rmc puny dired
dired-loaddefs rfc822 mml mml-sec epa derived epg rfc6068 epg-config
gnus-util text-property-search time-date mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils finder-inf info package
browse-url url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf url-util mailcap url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json map url-vars seq gv subr-x byte-opt bytecomp
byte-compile cconv cl-loaddefs cl-lib iso-transl tooltip eldoc paren
electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice
button loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 211429 7373)
(symbols 48 13292 1)
(strings 32 73188 2359)
(string-bytes 1 1834327)
(vectors 16 20705)
(vector-slots 8 293778 40351)
(floats 8 26 23)
(intervals 56 338 5)
(buffers 992 11))

-- 
     If not me then who?  If not now then when?  If not here then where?
               So, here I stand, I can do no other
     [email-masked] 021-1680650, (03) 4821804 Aotearoa (New Zealand)